##############################################
# Demonstran konfigurace pro Tardat 4
# Databze: PostgreSQL
# Autor: David Motl
# Datum: 02.10.2005
##############################################

DELETE FROM obecne;
INSERT INTO obecne (layout, phesla) VALUES (0, 1);

DELETE FROM uzivatele;
INSERT INTO uzivatele (id, jmeno, heslo) VALUES (0, 'Sprvce', '43eb740f8865c428804fa84d6c767e3e');

DELETE FROM role;
INSERT INTO role (id, jmeno, oprav) VALUES (0, 'Technik', 'EwwyBGIBBRk4BxMPOgULDwF86Tzo');
INSERT INTO role (id, jmeno, oprav) VALUES (1, 'Uivatel', 'EwwqVHppABWYBxUPOgXLJQEav12W');

DELETE FROM ustredny;
INSERT INTO ustredny (id) VALUES (0);

DELETE FROM skupiny;
INSERT INTO skupiny (id, jmeno) VALUES (0, 'Ostatn poboky');
INSERT INTO skupiny (id, jmeno) VALUES (1, 'editel');
INSERT INTO skupiny (id, jmeno) VALUES (2, 'Obchodn oddlen');
INSERT INTO skupiny (id, jmeno) VALUES (3, 'Sekretarit');
INSERT INTO skupiny (id, jmeno) VALUES (4, 'Dlna');
INSERT INTO skupiny (id, jmeno) VALUES (5, 'Penzion');

DELETE FROM linky;
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (100, 0, 'Linka 00', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (101, 0, 'Linka 01', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (102, 0, 'Linka 02', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (103, 0, 'Linka 03', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (104, 0, 'Linka 04', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (105, 0, 'Linka 05', 1, 0);
INSERT INTO linky (id, pbxid, jmeno, dosvazku, svazek) VALUES (106, 0, 'Linka 06', 1, 0);

DELETE FROM svazky;
INSERT INTO svazky (id, pbxid, jmeno) VALUES (0, 0, 'Svazek');

DELETE FROM pobocky;
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (15, 0, 'Martin', 1);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (16, 0, 'Jitka', 2);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (17, 0, 'Sekretka', 3);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (18, 0, 'Radek', 4);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (19, 0, 'Fax', 3);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (20, 0, 'Petra', 2);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (21, 0, 'Josef', 4);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (22, 0, 'David', 4);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (38, 0, 'Kateina', 3);
INSERT INTO pobocky (id, pbxid, jmeno, skup, hotel) VALUES (40, 0, 'Pokoj 1', 5, 1);
INSERT INTO pobocky (id, pbxid, jmeno, skup, hotel) VALUES (44, 0, 'Pokoj 2', 5, 1);
INSERT INTO pobocky (id, pbxid, jmeno, skup, hotel) VALUES (45, 0, 'Pokoj 3', 5, 1);
INSERT INTO pobocky (id, pbxid, jmeno, skup, hotel) VALUES (46, 0, 'Pokoj 4', 5, 1);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (47, 0, 'Dita', 5);
INSERT INTO pobocky (id, pbxid, jmeno, skup) VALUES (48, 0, 'Dana', 5);

DELETE FROM zuctKody;
INSERT INTO zuctKody (id, pbxid, jmeno, pripl) VALUES ('', 0, 'Nezadn', 0);
INSERT INTO zuctKody (id, pbxid, jmeno, pripl) VALUES ('111', 0, 'Soukrom hovor', 5);
INSERT INTO zuctKody (id, pbxid, jmeno, pripl) VALUES ('222', 0, 'Speciln pplatek', 10);
INSERT INTO zuctKody (id, pbxid, jmeno, pripl) VALUES ('123456', 0, 'Zkuebn hovor', -100);

DELETE FROM prehledy;
DELETE FROM styly;
DELETE FROM sloupce;

INSERT INTO prehledy (id_prehled,userid,nazev) VALUES (0,0,'Detailn nerozdlen');
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,4,3);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,13,12);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,15,14);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,19,18);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,21,20);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,30,29);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,62,61);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,66,65);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,68,67);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,81,80);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,82,81);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,88,87);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,90,89);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,91,90);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,92,91);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,126,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,127,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,128,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (0,129,128);

INSERT INTO prehledy (id_prehled,userid,nazev,blokcol1,uselimit) VALUES (1,0,'Detailn po pobokch, deset nejdrach',6,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,2,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,3,2);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,5,4);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,30,29);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,51,50);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,52,51);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,62,61);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,66,65);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,68,67);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,81,80);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,82,81);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,88,87);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,90,89);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,91,90);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,92,91);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,126,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,127,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,128,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (1,129,128);

INSERT INTO prehledy (id_prehled,userid,nazev,druh,sortcol1,sortdir1,groupcol1) VALUES (2,0,'Souhrnn po linkch',1,82,1,7);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,2,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,3,2);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,4,3);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (2,7,1,62,6);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,13,12);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,19,18);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,30,29);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,36,35);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,62,61);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,66,65);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,68,67);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (2,81,1,57,80);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (2,82,1,191,81);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,88,87);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,90,89);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,91,90);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (2,92,1,99,91);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,126,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,127,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,128,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,129,128);
INSERT INTO sloupce (pid,cid,poradi) VALUES (2,162,160);

INSERT INTO prehledy (id_prehled,userid,nazev,druh,groupcol1) VALUES (3,0,'Souhrnn po pobokch',1,6);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,2,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,3,2);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,4,3);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,6,6);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,13,13);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,19,19);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,30,30);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,36,36);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,62,62);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,66,66);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,68,68);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,77,5);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (3,81,1,149,80);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,82,87);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,88,86);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,90,89);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,91,90);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (3,92,1,96,91);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,126,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,127,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,128,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,129,128);
INSERT INTO sloupce (pid,cid,poradi) VALUES (3,162,160);

INSERT INTO prehledy (id_prehled,userid,nazev,druh,groupcol1,blokcol1) VALUES (4,0,'Souhrnn po skupinch a pobokch',1,6,5);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,2,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,3,2);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,4,3);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,6,6);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,13,13);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,19,19);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,30,30);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,36,36);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,62,62);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,66,66);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,68,68);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,77,5);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (4,81,1,130,80);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,82,163);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,88,86);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,90,88);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,91,89);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,92,90);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,126,124);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,127,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,128,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,129,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,162,160);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,163,161);
INSERT INTO sloupce (pid,cid,poradi) VALUES (4,164,162);

INSERT INTO prehledy (id_prehled,userid,nazev,druh,groupcol1) VALUES (5,0,'Souhrnn po telefonnch slech',1,66);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,2,1);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,3,2);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,4,3);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,13,12);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,19,18);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,30,29);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,36,35);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,42,41);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,62,61);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,66,65);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,68,67);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,69,68);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,81,80);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (5,82,1,128,81);
INSERT INTO sloupce (pid,cid,usrw,sirka,poradi) VALUES (5,88,1,205,87);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,126,125);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,127,126);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,128,127);
INSERT INTO sloupce (pid,cid,poradi) VALUES (5,129,128);

TRY ALTER SEQUENCE prehledy_id_prehled_seq RESTART WITH 6;
